Component S1
Sort: {On, Off, Usv}
Variables: switch1, switch2, switch3
Invariant: 

	% Definicao do predicado One
	% One, indica se existe pelo menos um 
	% switch com o valor do argumento

One(On) => switch1=On | switch2=On | switch3=On,
One(Off) => switch1=Off | switch2=Off | switch3=Off,
One(Usv) => switch1=Usv | switch2=Usv | switch3=Usv,

	% Definicao do predicado All
	% All, indica se todos os switchs estao 
	% com o valor do argumento.
	% Atencao que nao existe All(Usv), logo
	% este e sempre falso
switch1=On & switch2=On & switch3=On => All(On),
switch1=Off & switch2=Off & switch3=Off => All(Off)

Method: PutAllTypes
Interface: ?s2, !s1 
Requires: <x:All(x)
Ensures:
<x:All(x) ->
   switch1=On => !s1=On,
   switch1=Off => !s1=Off,
   switch1=Usv => !s1=Usv,
   
   ?s2=On => switch2=On,
   ?s2=Off => switch2=Off,
   ?s2=Usv => switch2=Usv,
   
   true => >x:One(x); 









