Component S2
Sort: {On, Off, Usv}
Variables: switch1, switch2, switch3
Invariant: 

	% Definicao do predicado One
	% One, indica se existe pelo menos um 
	% switch com o valor do argumento

One(On) => switch1=On | switch2=On | switch3=On,
One(Off) => switch1=Off | switch2=Off | switch3=Off,
One(Usv) => switch1=Usv | switch2=Usv | switch3=Usv,

	% Definicao do predicado All
	% All, indica se todos os switchs estao 
	% com o valor do argumento.
	% Atencao que nao existe All(Usv), logo
	% este e sempre falso
switch1=On & switch2=On & switch3=On => All(On),
switch1=Off & switch2=Off & switch3=Off => All(Off)


Method: Init2
Interface: ?InitSwitch
Requires: 
	?InitSwitch=On | ?InitSwitch=Off, 
	switch2=On
Ensures:
?InitSwitch=On & switch2=On ->
   true => switch1=On, 
   true => switch2=On, 
   true => switch3=On; 
?InitSwitch=Off & switch2=On ->
   true => switch1=Off, 
   true => switch2=Off, 
   true => switch3=Off;

	% Se todos os switchs estiverem iguais da os 
	% valores do argumento, caso contrario da Usv se
	% existir pelo menos um switch de cada tipo *)
Method: DisplayAll2
Interface: !value 
Requires: <x:All(x) | >x:One(x)
Ensures:
All(On) ->
   true => !value=On;
All(Off) ->
   true => !value=Off;
>x:One(x) ->
   true => !value=Usv;









